org.apache.fop.afp.ptoca

## Class TextDataInfoProducer

- java.lang.Object
- - org.apache.fop.afp.ptoca.TextDataInfoProducer

- All Implemented Interfaces:
    PtocaConstants, PtocaProducer

      public class TextDataInfoProducer
      extends java.lang.Object
      implements PtocaProducer, PtocaConstants

  `PtocaProducer` implementation that interprets `AFPTextDataInfo` objects.

- - ### Field Summary

    - ### Fields inherited from interface org.apache.fop.afp.ptoca.PtocaConstants

      `AMB, AMI, CHAIN_BIT, DBR, DIR, ESCAPE, NOP, RMI, SCFL, SEC, SIA, STO, SVI, TRANSPARENT_DATA_MAX_SIZE, TRN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TextDataInfoProducer(AFPTextDataInfo textDataInfo)` Main constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `produce(PtocaBuilder builder)` Produces the PTOCA control sequences by calling methods on `PtocaBuilder`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TextDataInfoProducer

          public TextDataInfoProducer(AFPTextDataInfo textDataInfo)

      Main constructor.
      Parameters:
        `textDataInfo` - the info object

  - ### Method Detail

    - #### produce

          public void produce(PtocaBuilder builder)
                       throws java.io.IOException

      Produces the PTOCA control sequences by calling methods on `PtocaBuilder`.
      Specified by:
        `produce` in interface `PtocaProducer`
      Parameters:
        `builder` - the builder object
      Throws:
        `java.io.IOException` - if an I/O error occurs

Copyright 1999-2015 The Apache Software Foundation. All Rights Reserved.